FreeMat

- Main Page
- Related Pages

vtkCylindricalTransform

Section: Visualization Toolkit Common Classes

# Usage

vtkCylindricalTransform will convert (r,theta,z) coordinates to (x,y,z) coordinates and back again. The angles are given in radians. By default, it converts cylindrical coordinates to rectangular, but GetInverse() returns a transform that will do the opposite. The equation that is used is x = r*cos(theta), y = r*sin(theta), z = z.

To create an instance of class vtkCylindricalTransform, simply invoke its constructor as follows

      obj = vtkCylindricalTransform

# Methods

The class vtkCylindricalTransform has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCylindricalTransform class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCylindricalTransform = obj.NewInstance ()`
- `vtkCylindricalTransform = obj.SafeDownCast (vtkObject o)`
- `vtkAbstractTransform = obj.MakeTransform ()` - Make another transform of the same type.